{
  pkgs,
  config,
  lib,
  ...
}:
{
  programs.neovim = {
    enable = true;
    withRuby = true;
    withPython3 = true;
    viAlias = true;
    vimAlias = true;
  };

  home.activation.nvimConfigRepo = lib.hm.dag.entryAfter [ "writeBoundary" ] ''
    target="${config.xdg.configHome}/nvim"

    rm -rf "$target"

    ${pkgs.git}/bin/git clone https://git.pari.ng/imnyang/nvim-config.git "$target"
  '';
}
